Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.engine
Class SpacePartition

    java.lang.Object
      net.sf.j3d.threeD.raytracer.engine.AbstractSurface
          net.sf.j3d.threeD.raytracer.engine.SurfaceGroup
              net.sf.j3d.threeD.raytracer.engine.SpacePartition

All Implemented Interfaces:
  Surface

Direct Known Subclasses:
  Mesh

    public class SpacePartition

extends SurfaceGroup

Field Summary
`static int` | `l`
`static int` | `r`
`static int` | `s`

Constructor Summary
`SpacePartition()`

Method Summary
`boolean` | `intersect(Ray r)` Returns true if the ray represented by the specified Ray object intersects any of the surfaces represented by this SurfaceGroup object.
`Intersection` | `intersectAt(Ray r)` Returns an Intersection object that represents the ray-surface intersections for the AbstractSurface object which is intersected closest to the origin of the ray (>= 0).
`boolean` | `isTreeLoaded()`
`void` | `loadTree()`
`void` | `loadTree(int s)`

Methods inherited from class net.sf.j3d.threeD.raytracer.engine.SurfaceGroup
`addSurface, getNormalAt, getSurface, getSurfaces, removeSurface, setSurfaces, shade, triangulate`

Methods inherited from class net.sf.j3d.threeD.raytracer.engine.AbstractSurface
`addShader, addTexture, addTransform, calculateTransform, getColor, getColorAt, getColorAt, getIndexOfRefraction, getIndexOfRefraction, getLocation, getParent, getReflectedPercentage, getReflectedPercentage, getRefractedPercentage, getRefractedPercentage, getRotationCoefficients, getScaleCoefficients, getShadeBack, getShadeFront, getShaderSet, getSize, getTexture, getTextures, getTextureSet, getTransform, getTransform, getTransforms, removeTexture, removeTransform, setColor, setIndexOfRefraction, setLocation, setParent, setReflectedPercentage, setRefractedPercentage, setRotationCoefficients, setScaleCoefficients, setShadeBack, setShadeFront, setShaders, setShaders, setSize, setTexture, setTextures, setTransform, setTransforms`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### l

    public static int l

### r

    public static int r

### s

    public static int s

Constructor Detail

### SpacePartition

    public SpacePartition()

Method Detail

### loadTree

    public void loadTree()

### loadTree

    public void loadTree(int s)

### isTreeLoaded

    public boolean isTreeLoaded()

### intersect

    public boolean intersect(Ray r)

  Description copied from class: `SurfaceGroup`
  Returns true if the ray represented by the specified Ray object intersects any of the surfaces represented by this SurfaceGroup object.

  Specified by:
    `intersect` in interface `Surface`
  Overrides:
    `intersect` in class `SurfaceGroup`

### intersectAt

    public Intersection intersectAt(Ray r)

  Description copied from class: `SurfaceGroup`
  Returns an Intersection object that represents the ray-surface intersections for the AbstractSurface object which is intersected closest to the origin of the ray (>= 0). If there is no intersection >= 0 along the ray, null is returned.

  Specified by:
    `intersectAt` in interface `Surface`
  Overrides:
    `intersectAt` in class `SurfaceGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD